Custody providers
Get Fireblocks Stablecoin Payroll Integration Status
Returns the org's Fireblocks stablecoin payroll integration status flags from the database.
GEThttps://api.toku.com/tga/get-fireblocks-stablecoin-payroll-integration-status
Required scope: integrations:read
curl --request GET \
--url 'https://api.toku.com/tga/get-fireblocks-stablecoin-payroll-integration-status' \
--header 'Authorization: Bearer <token>'200 response
{
"hasIntegration": true,
"integrationInProgress": true,
"hasGeneratedKeyPair": true,
"hasApiKey": true,
"isConfigured": true,
"vaultAccountId": "string",
"fireblocksSignerKey": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
hasIntegrationboolean | nullintegrationInProgressboolean | nullhasGeneratedKeyPairboolean | nullhasApiKeyboolean | nullisConfiguredboolean | nullvaultAccountIdstring | nullfireblocksSignerKeystring | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits